package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CpsUsrApply;

/**
 * cps_usr_apply与会申请Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
public interface CpsUsrApplyMapper
{
    /**
     * 查询cps_usr_apply与会申请
     *
     * @param id cps_usr_apply与会申请主键
     * @return cps_usr_apply与会申请
     */
    public CpsUsrApply selectCpsUsrApplyById(Long id);

    /**
     * 查询cps_usr_apply与会申请列表
     *
     * @param cpsUsrApply cps_usr_apply与会申请
     * @return cps_usr_apply与会申请集合
     */
    public List<CpsUsrApply> selectCpsUsrApplyList(CpsUsrApply cpsUsrApply);

    /**
     * 新增cps_usr_apply与会申请
     *
     * @param cpsUsrApply cps_usr_apply与会申请
     * @return 结果
     */
    public int insertCpsUsrApply(CpsUsrApply cpsUsrApply);

    int insertCpsUsrApplyOrUpdate(CpsUsrApply cpsUsrApply);

    /**
     * 修改cps_usr_apply与会申请
     *
     * @param cpsUsrApply cps_usr_apply与会申请
     * @return 结果
     */
    public int updateCpsUsrApply(CpsUsrApply cpsUsrApply);

    /**
     * 删除cps_usr_apply与会申请
     *
     * @param id cps_usr_apply与会申请主键
     * @return 结果
     */
    public int deleteCpsUsrApplyById(Long id);

    /**
     * 批量删除cps_usr_apply与会申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCpsUsrApplyByIds(Long[] ids);
}
