@echo off

rem jarƽĿ¼
set AppName=ruoyi-admin.jar

set JarPath=./out/ruoyi-admin.jar

set Env=prod

rem JVM
set JVM_OPTS="-Dname=%AppName% -Duser.timezone=Asia/Shanghai -Xms512m -Xmx1024m -XX:MetaspaceSize=128m -XX:MaxMetaspaceSize=512m -XX:+HeapDumpOnOutOfMemoryError -XX:+PrintGCDateStamps  -XX:+PrintGCDetails -XX:NewRatio=1 -XX:SurvivorRatio=30 -XX:+UseParallelGC -XX:+UseParallelOldGC"


ECHO.
	ECHO.  [1] %AppName%
	ECHO.  [2] ر%AppName%
	ECHO.  [3] %AppName%
	ECHO.  [4] ״̬ %AppName%
	ECHO.  [6] رNginx
	ECHO.  [5]  
ECHO.

ECHO.ѡĿ:
set /p ID=
	IF "%id%"=="1" GOTO start
	IF "%id%"=="2" GOTO stop
	IF "%id%"=="3" GOTO restart
	IF "%id%"=="4" GOTO status
	IF "%id%"=="6" GOTO stopNginx
	IF "%id%"=="7" GOTO startNginx
	IF "%id%"=="5" EXIT
PAUSE

:stopNginx
   taskkill /f /fi "imagename eq nginx.exe"
goto:eof

:start
    for /f "usebackq tokens=1-2" %%a in (`jps -l ^| findstr %AppName%`) do (
		set pid=%%a
		set image_name=%%b
	)
	if  defined pid (
		echo %%is running
		PAUSE
	)

echo javaw %JVM_OPTS% -jar %JarPath% --spring.profiles.active=%Env%
start javaw %JVM_OPTS% -jar %JarPath% --spring.profiles.active=%Env%

echo  starting
echo  Start %AppName% success...
goto:eof

rem stopͨjpspid
:stop
	for /f "usebackq tokens=1-2" %%a in (`jps -l ^| findstr %AppName%`) do (
		set pid=%%a
		set image_name=%%b
	)
	if not defined pid (echo process %AppName% does not exists) else (
		echo prepare to kill %image_name%
		echo start kill %pid% ...
		rem ݽIDkill
		taskkill /f /pid %pid%
	)
goto:eof
:restart
	call :stop
    call :start
goto:eof
:status
	for /f "usebackq tokens=1-2" %%a in (`jps -l ^| findstr %AppName%`) do (
		set pid=%%a
		set image_name=%%b
	)
	if not defined pid (echo process %AppName% is dead ) else (
		echo %image_name% is running
	)
goto:eof
